Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.context
Class StaticPortletApplicationContext

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.springframework.context.support.AbstractApplicationContext
              org.springframework.context.support.GenericApplicationContext
                  org.springframework.context.support.StaticApplicationContext
                      org.springframework.web.portlet.context.StaticPortletApplicationContext

All Implemented Interfaces:
  BeanFactory, DisposableBean, HierarchicalBeanFactory, ListableBeanFactory, BeanDefinitionRegistry, ApplicationContext, ApplicationEventPublisher, ConfigurableApplicationContext, Lifecycle, MessageSource, AliasRegistry, ResourceLoader, ResourcePatternResolver, WebApplicationContext, ConfigurablePortletApplicationContext

    public class StaticPortletApplicationContext

extends StaticApplicationContext
implements ConfigurablePortletApplicationContext

Static Portlet-based `ApplicationContext` implementation for testing. Not intended for use in production applications.

Implements the `ConfigurablePortletApplicationContext` interface to allow for direct replacement of an `XmlPortletApplicationContext`, despite not actually supporting external configuration files.

Interprets resource paths as portlet context resources, that is, as paths beneath the portlet application root. Absolute paths, for example for files outside the portlet app root, can be accessed via "file:" URLs, as implemented by `DefaultResourceLoader`.

Since:
  2.0
Author:
  Juergen Hoeller, Mark Fisher

Field Summary

Fields inherited from class org.springframework.context.support.AbstractApplicationContext
`APPLICATION_EVENT_MULTICASTER_BEAN_NAME, logger, MESSAGE_SOURCE_BEAN_NAME`

Fields inherited from interface org.springframework.web.context.WebApplicationContext
`ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

Fields inherited from interface org.springframework.context.ConfigurableApplicationContext
`CONFIG_LOCATION_DELIMITERS, LOAD_TIME_WEAVER_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`StaticPortletApplicationContext()`

Method Summary
`String[]` | `getConfigLocations()` Return the config locations for this web application context, or `null` if none specified.
`String` | `getNamespace()` Return the namespace for this web application context, if any.
`javax.portlet.PortletConfig` | `getPortletConfig()` Return the PortletConfig for this portlet application context, if any.
`javax.portlet.PortletContext` | `getPortletContext()` Return the standard Portlet API PortletContext for this application.
`protected Resource` | `getResourceByPath(String path)` This implementation supports file paths beneath the root of the PortletContext.
`protected ResourcePatternResolver` | `getResourcePatternResolver()` This implementation supports pattern matching in unexpanded WARs too.
`ServletContext` | `getServletContext()` Return the standard Servlet API ServletContext for this application.
`protected void` | `postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)` Register request/session scopes, a `PortletContextAwareProcessor`, etc.
`void` | `setConfigLocation(String configLocation)` The `StaticPortletApplicationContext` class does not support this method.
`void` | `setConfigLocations(String[] configLocations)` The `StaticPortletApplicationContext` class does not support this method.
`void` | `setNamespace(String namespace)` Set the namespace for this portlet application context, to be used for building a default context config location.
`void` | `setParent(ApplicationContext parent)` Set the parent of this application context, also setting the parent of the internal BeanFactory accordingly.
`void` | `setPortletConfig(javax.portlet.PortletConfig portletConfig)` Set the PortletConfig for this portlet application context.
`void` | `setPortletContext(javax.portlet.PortletContext portletContext)` Set the PortletContext for this portlet application context.

Methods inherited from class org.springframework.context.support.StaticApplicationContext
`addMessage, getStaticMessageSource, registerPrototype, registerPrototype, registerSingleton, registerSingleton`

Methods inherited from class org.springframework.context.support.GenericApplicationContext
`closeBeanFactory, getBeanDefinition, getBeanFactory, getDefaultListableBeanFactory, getResource, getResources, isAlias, isBeanNameInUse, refreshBeanFactory, registerAlias, registerBeanDefinition, removeAlias, removeBeanDefinition, setResourceLoader`

Methods inherited from class org.springframework.context.support.AbstractApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, addListener, cancelRefresh, close, containsBean, containsBeanDefinition, containsLocalBean, destroy, destroyBeans, doClose, finishBeanFactoryInitialization, finishRefresh, getAliases, getApplicationListeners, getAutowireCapableBeanFactory, getBean, getBean, getBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanFactoryPostProcessors, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getDisplayName, getId, getInternalParentBeanFactory, getInternalParentMessageSource, getMessage, getMessage, getMessage, getParent, getParentBeanFactory, getStartupDate, getType, initApplicationEventMulticaster, initMessageSource, invokeBeanFactoryPostProcessors, isActive, isPrototype, isRunning, isSingleton, isTypeMatch, obtainFreshBeanFactory, onClose, onRefresh, prepareBeanFactory, prepareRefresh, publishEvent, refresh, registerBeanPostProcessors, registerListeners, registerShutdownHook, setDisplayName, setId, start, stop, toString`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.context.ConfigurableApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, close, getBeanFactory, isActive, refresh, registerShutdownHook`

Methods inherited from interface org.springframework.context.ApplicationContext
`getAutowireCapableBeanFactory, getDisplayName, getId, getParent, getStartupDate`

Methods inherited from interface org.springframework.beans.factory.ListableBeanFactory
`containsBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType`

Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory
`containsLocalBean, getParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.BeanFactory
`containsBean, getAliases, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

Methods inherited from interface org.springframework.context.MessageSource
`getMessage, getMessage, getMessage`

Methods inherited from interface org.springframework.context.ApplicationEventPublisher
`publishEvent`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.springframework.context.Lifecycle
`isRunning, start, stop`

Methods inherited from interface org.springframework.beans.factory.support.BeanDefinitionRegistry
`containsBeanDefinition, getBeanDefinitionCount, getBeanDefinitionNames`

Methods inherited from interface org.springframework.core.AliasRegistry
`getAliases`

Constructor Detail

### StaticPortletApplicationContext

    public StaticPortletApplicationContext()

Method Detail

### setParent

    public void setParent(ApplicationContext parent)

  Description copied from class: `GenericApplicationContext`
  Set the parent of this application context, also setting the parent of the internal BeanFactory accordingly.

  Specified by:
    `setParent` in interface `ConfigurableApplicationContext`
  Overrides:
    `setParent` in class `GenericApplicationContext`
  Parameters:
    `parent` - the parent context
  See Also:
    `ConfigurableBeanFactory.setParentBeanFactory(org.springframework.beans.factory.BeanFactory)`

### getServletContext

    public ServletContext getServletContext()

  Description copied from interface: `WebApplicationContext`
  Return the standard Servlet API ServletContext for this application.

  Specified by:
    `getServletContext` in interface `WebApplicationContext`

### setPortletContext

    public void setPortletContext(javax.portlet.PortletContext portletContext)

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Set the PortletContext for this portlet application context.

  Does not cause an initialization of the context: refresh needs to be called after the setting of all configuration properties.

  Specified by:
    `setPortletContext` in interface `ConfigurablePortletApplicationContext`
  See Also:
    `ConfigurableApplicationContext.refresh()`

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Return the standard Portlet API PortletContext for this application.

  Specified by:
    `getPortletContext` in interface `ConfigurablePortletApplicationContext`

### setPortletConfig

    public void setPortletConfig(javax.portlet.PortletConfig portletConfig)

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Set the PortletConfig for this portlet application context.

  Specified by:
    `setPortletConfig` in interface `ConfigurablePortletApplicationContext`
  See Also:
    `ConfigurableApplicationContext.refresh()`

### getPortletConfig

    public javax.portlet.PortletConfig getPortletConfig()

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Return the PortletConfig for this portlet application context, if any.

  Specified by:
    `getPortletConfig` in interface `ConfigurablePortletApplicationContext`

### setNamespace

    public void setNamespace(String namespace)

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Set the namespace for this portlet application context, to be used for building a default context config location.

  Specified by:
    `setNamespace` in interface `ConfigurablePortletApplicationContext`

### getNamespace

    public String getNamespace()

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Return the namespace for this web application context, if any.

  Specified by:
    `getNamespace` in interface `ConfigurablePortletApplicationContext`

### setConfigLocation

    public void setConfigLocation(String configLocation)

  The `StaticPortletApplicationContext` class does not support this method.

  Specified by:
    `setConfigLocation` in interface `ConfigurablePortletApplicationContext`
  Throws:
    `UnsupportedOperationException` - always

### setConfigLocations

    public void setConfigLocations(String[] configLocations)

  The `StaticPortletApplicationContext` class does not support this method.

  Specified by:
    `setConfigLocations` in interface `ConfigurablePortletApplicationContext`
  Throws:
    `UnsupportedOperationException` - always

### getConfigLocations

    public String[] getConfigLocations()

  Description copied from interface: `ConfigurablePortletApplicationContext`
  Return the config locations for this web application context, or `null` if none specified.

  Specified by:
    `getConfigLocations` in interface `ConfigurablePortletApplicationContext`

### postProcessBeanFactory

    protected void postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)

  Register request/session scopes, a `PortletContextAwareProcessor`, etc.

  Overrides:
    `postProcessBeanFactory` in class `AbstractApplicationContext`
  Parameters:
    `beanFactory` - the bean factory used by the application context

### getResourceByPath

    protected Resource getResourceByPath(String path)

  This implementation supports file paths beneath the root of the PortletContext.

  Overrides:
    `getResourceByPath` in class `DefaultResourceLoader`
  Parameters:
    `path` - the path to the resource
  Returns:
    the corresponding Resource handle
  See Also:
    `PortletContextResource`

### getResourcePatternResolver

    protected ResourcePatternResolver getResourcePatternResolver()

  This implementation supports pattern matching in unexpanded WARs too.

  Overrides:
    `getResourcePatternResolver` in class `AbstractApplicationContext`
  Returns:
    the ResourcePatternResolver for this context
  See Also:
    `PortletContextResourcePatternResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.